Jakarta-Regexp 1.5 API: Class RECompiler.RERange

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class RECompiler.RERange

    java.lang.Object
      |
      +--org.apache.regexp.RECompiler.RERange

Enclosing class:
  RECompiler

class RECompiler.RERange
extends java.lang.Object

Local, nested class for maintaining character ranges for character classes.

Field Summary
`(package private) int[]` | `maxRange`
`(package private) int[]` | `minRange`
`(package private) int` | `num`
`(package private) int` | `size`

Constructor Summary
`(package private)` | `RECompiler.RERange()`

Method Summary
`(package private) void` | `delete(int index)` Deletes the range at a given index from the range lists
`(package private) void` | `include(char minmax, boolean include)` Includes a range with the same min and max
`(package private) void` | `include(int min, int max, boolean include)` Includes (or excludes) the range from min to max, inclusive.
`(package private) void` | `merge(int min, int max)` Merges a range into the range list, coalescing ranges if possible.
`(package private) void` | `remove(int min, int max)` Removes a range by deleting or shrinking all other ranges

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### size

    int size

### minRange

    int[] minRange

### maxRange

    int[] maxRange

### num

    int num

Constructor Detail

### RECompiler.RERange

    RECompiler.RERange()

Method Detail

### delete

    void delete(int index)

  Deletes the range at a given index from the range lists
  Parameters:
    `index` - Index of range to delete from minRange and maxRange arrays.

### merge

    void merge(int min,
               int max)

  Merges a range into the range list, coalescing ranges if possible.
  Parameters:
    `min` - Minimum end of range
    `max` - Maximum end of range

### remove

    void remove(int min,
                int max)

  Removes a range by deleting or shrinking all other ranges
  Parameters:
    `min` - Minimum end of range
    `max` - Maximum end of range

### include

    void include(int min,
                 int max,
                 boolean include)

  Includes (or excludes) the range from min to max, inclusive.
  Parameters:
    `min` - Minimum end of range
    `max` - Maximum end of range
    `include` - True if range should be included. False otherwise.

### include

    void include(char minmax,
                 boolean include)

  Includes a range with the same min and max
  Parameters:
    `minmax` - Minimum and maximum end of range (inclusive)
    `include` - True if range should be included. False otherwise.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.